<cfscript>
	dataCFC = createObject('component', 'commonspot.components.form.gce-data');	//NOTE: do not call init

	gceName = 'CSWidgetSizes';
	alwaysAdd = false;	// 'false' will NOT populate if any data found in Data_fieldvalue table
	data = ArrayNew(1);

	info = {};
	info['display'] = 'small';
	info['value'] = 'cswSize-sm';
	ArrayAppend(data, info);
	
	info = {};
	info['display'] = 'medium';
	info['value'] = 'cswSize-md';
	ArrayAppend(data, info);

	info = {};
	info['display'] = 'normal';
	info['value'] = 'cswSize-normal';
	ArrayAppend(data, info);

	info = {};
	info['display'] = 'large';
	info['value'] = 'cswSize-lg';
	ArrayAppend(data, info);

	info = {};
	info['display'] = 'extra large';
	info['value'] = 'cswSize-xl';
	ArrayAppend(data, info);

	for (i=1; i<=7; i++)
	{
		info = {};
		info['display'] = '#i#x';
		info['value'] = 'cswSize-#i#x';
		ArrayAppend(data, info);
	}

	info = {};
	info['display'] = 'inherit';
	info['value'] = 'cswSize-Inherit';
	ArrayAppend(data, info);

	dataCFC.populateRawData(gceName, data, alwaysAdd);
</cfscript>